% -*- latex -*-
\chapter{Future work and conclusion}
In the previous chapters I have presented the work that I have
done until now. In the coming sections I will conclude on
this work and summarize on the work that is yet to be done.

\section{Future work}
As I see it, I have only started to scrape the surface of the
communication issues. But in order to reach a feasible result of
this work, some tasks must be completed first.

\subsection{Tests}
The first task to complete, is of course to create a feasible
test of the current algorithms. The way I have planned to
perform is two fold: First, I want to include time markings in
the running code to examine the time needed to perform the
individual test. Next I want to implement the algorithm on the
physical platform and examine the system here. I fear many
problems here as it is rather difficult to simulate a multiagent
environment properly. The reason for this is that even though
there is threaded execution, it is still performing in a serial
fashion.  Therefore it is difficult to simulate things like
collision and therefore how the system responds to collisions.

\subsection{Gradient networks}
Next I have some ideas about different approaches to networking
in a changing grid. As I have made it now, the global and hybrid
algorithm runs until a suitable communication graph is
establish, and from there it is purely static. This method is
vulnerable to changes in the structure of the assembled robot:
If one module that is assigned to a vital part of the
communication graph, is removed, the only way to repair the
graph is by restarting the evaluation process.

I have an idea that is based on the hormone based approach
presented by \cite[chapter 10]{esben_phd}.

When a module wants to establish a connection to another distant
module in the structure of the robot, it starts building a
gradient toward the module using hormone spreading. This
approach leaves a gradient in each module that points back as
seen with the hybrid algorithm approach. But instead of
selecting the best path directly and then start the general
communication, each single package is allowed to follow the best
path based on the present gradient while its continuously
evaluated. This means, that if a module is being added (or
removed), the gradient field will change and the packages will
adapt their path to the new field.

The key thing that makes such a network possible, is the fact
that the modules do not support internal forwarding connection
in the next version. This means that each module is able to make
decisions on whatever they will forward the message or not.

% LocalWords:  multiagent LocalWords
